Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: bind

Tunables Interfaces

### Description:

Berkeley Internet name domain DNS server.

### Tunables:

named_tcp_bind_http_port

##### Default value

false

##### Description

Determine whether Bind can bind tcp socket to http ports.

named_write_master_zones

##### Default value

false

##### Description

Determine whether Bind can write to master zone files. Generally this is used for dynamic DNS or zone transfers.

Return

### Interfaces:

bind_admin( domain , role )

##### Summary

All of the rules required to administrate an bind environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

bind_domtrans( domain )

##### Summary

Execute bind in the named domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bind_domtrans_ndc( domain )

##### Summary

Execute ndc in the ndc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bind_initrc_domtrans( domain )

##### Summary

Execute bind server in the bind domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bind_kill( domain )

##### Summary

Send kill signals to bind.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_manage_cache( domain )

##### Summary

Create, read, write, and delete bind cache files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_manage_config_dirs( domain )

##### Summary

Create, read, write, and delete bind configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_manage_zone( domain )

##### Summary

Create, read, write, and delete bind zone files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_read_config( domain )

##### Summary

Read bind named configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_read_dnssec_keys( domain )

##### Summary

Read dnssec key files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_read_zone( domain )

##### Summary

Read bind zone files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_run_ndc( domain , role )

##### Summary

Execute ndc in the ndc domain, and allow the specified role the ndc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

bind_search_cache( domain )

##### Summary

Search bind cache directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_setattr_pid_dirs( domain )

##### Summary

Set attributes of bind pid directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_setattr_zone_dirs( domain )

##### Summary

Set attributes of bind zone directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_signal( domain )

##### Summary

Send generic signals to bind.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_signull( domain )

##### Summary

Send null signals to bind.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_udp_chat_named( domain )

##### Summary

Send and receive datagrams to and from named. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bind_write_config( domain )

##### Summary

Write bind named configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return